For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete Topic

Deletes the specified topic.

delete
/clusters/{clusterId}/topics/{topicId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
topicIdstring · uuidRequired

The ID (UUID) of the topic.

Example: ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
Responses
202

Deleting topic was successful.

No content

delete/clusters/{clusterId}/topics/{topicId}
DELETE /clusters/{clusterId}/topics/{topicId} HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?